Endpoints

Rename Namespace

Renames a namespace of an index.

The default namespace, which is the empty string "", cannot be renamed.

There should not be a namespace with the given new namespace name, unless the delete existing flag is passed.

Request

namespacebodystringrequired

The name of the namespace to rename.

newNamespacebodystringrequired

The new name of the namespace.

deleteExistingbodybooleandefault: false

When the delete existing flag is passed, if there exists a namespace with the new namespace name, it is deleted before the rename operation.

Response

renamedboolean

Whether the namespace is renamed or not.

curl
curl $UPSTASH_VECTOR_REST_URL/rename-namespace \  -X POST \  -d '{ "namespace": "ns", "newNamespace": "newNs" }' \  -H "Authorization: Bearer $UPSTASH_VECTOR_REST_TOKEN"
200 OK
{    "result": { "renamed": true }}
Loading search…